------------------------------------------------------------------------------------
--Name:  	Christmas1
--Creator:	由剧情表现脚本编辑器生成
--Created:	2023-12-13
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(249, 366)
local Player_1 = CppScriptMgr:AddSimplePlayer(45490, 251, 368, "", 0, 0)
Player_1:SetDir(7)
local Player_2 = CppScriptMgr:AddSimplePlayer(45490, 252, 367, "", 0, 0)
Player_2:SetDir(6)
local Player_3 = CppScriptMgr:AddSimplePlayer(45490, 250, 368, "", 0, 0)
Player_3:SetDir(0)
local Player_4 = CppScriptMgr:AddPlayer(520, 254, 373, "", 0, 0)
Player_4:SetDir(3)
local Player_5 = CppScriptMgr:AddPlayer(520, 256, 371, "", 0, 0)
Player_5:SetDir(3)
local Player_7 = CppScriptMgr:AddPlayer(959, 248, 364, "", 0, 0)
Player_7:SetDir(7)
local Player_9 = CppScriptMgr:AddSimplePlayer(310, 449, 462, "", 0, 0)
Player_9:SetDir(4)
local Player_10 = CppScriptMgr:AddSimplePlayer(8140, 447, 465, "", 0, 0)
Player_10:SetDir(4)
local Player_11 = CppScriptMgr:AddSimplePlayer(9624, 450, 468, "", 0, 0)
Player_11:SetDir(4)
local Player_12 = CppScriptMgr:AddSimplePlayer(11770, 455, 467, "", 0, 0)
Player_12:SetDir(4)
local Player_13 = CppScriptMgr:AddSimplePlayer(14110, 455, 472, "", 0, 0)
Player_13:SetDir(4)
local Player_15 = CppScriptMgr:AddSimplePlayer(106334, 444, 467, "", 0, 0)
Player_15:SetDir(4)
local Player_17 = CppScriptMgr:AddSimplePlayer(106334, 456, 464, "", 0, 0)
Player_17:SetDir(4)
local Player_19 = CppScriptMgr:AddSimplePlayer(106334, 459, 474, "", 0, 0)
Player_19:SetDir(4)
local monster_0 = CppScriptMgr:AddPlayer(520, 247, 369, "", 0, 0)
monster_0:SetDir(5)
local monster_1 = CppScriptMgr:AddPlayer(520, 253, 365, "", 0, 0)
monster_1:SetDir(1)
local npc_0 = CppScriptMgr:AddSimplePlayer(16010, 449, 474, "", 0, 0)
npc_0:SetDir(4)
local npc_1 = CppScriptMgr:AddSimplePlayer(106334, 452, 476, "", 0, 0)
npc_1:SetDir(4)
CppScriptMgr:WaitMilSec(1000)
Player_7:Say("They are shivering! So funny!", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_4:Say("Well, send the timidest to Demon Kerr!", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_1:Say("Mommy...", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_2:Say("Don`t do this to me...", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_3:Say("Crying...", 1500)
CppScriptMgr:WaitMilSec(990)
CppScriptMgr:ShakeScrEffect(5)
CppScriptMgr:WaitMilSec(2030)
CppScriptMgr:SetViewPosByCell(445, 462)
CppScriptMgr:SetViewScale(200)
CppScriptMgr:WaitMilSec(1090)
Player_9:Say("I haven`t returned to Twin City for many years...", 1500)
CppScriptMgr:WaitMilSec(2750)
Player_12:Say("Me, too. I miss my mom and dad.", 1500)
CppScriptMgr:WaitMilSec(2710)
Player_10:Say("But we will see them soon!", 1500)
CppScriptMgr:WaitMilSec(1930)